package com.lz.modules.flow.dao;
/**
* <p>
* 考核模板流程记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-19
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.FlowChartDetailRecord;
import com.lz.modules.flow.model.FlowChartDetailRecordDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowChartDetailRecordMapper extends BaseMapper<FlowChartDetailRecord> {


	FlowChartDetailRecord selectFlowChartDetailRecordById(@Param("id")Long id);


	Long insertFlowChartDetailRecord(FlowChartDetailRecord flowChartDetailRecord);


	int updateFlowChartDetailRecordById(FlowChartDetailRecord flowChartDetailRecord);


	int updateCoverFlowChartDetailRecordById(FlowChartDetailRecord flowChartDetailRecord);


	int deleteFlowChartDetailRecordById(@Param("id")Long id);


	List<FlowChartDetailRecord> selectFlowChartDetailRecordByGroupIdAndChartId(@Param("groupId") Long groupId, @Param("chartId") Long chartId);

    List<FlowChartDetailRecord> selectFlowChartDetailRecordByGroupId(Long groupId);

    int insertFlowChartDetailRecords(@Param("list") List<FlowChartDetailRecord> inserts);

	int updateCoverFlowChartDetailRecordByIds(@Param("list") List<FlowChartDetailRecord> updaes);

    List<FlowChartDetailRecord> selectFlowChartDetailRecordsByFlowProcess(@Param("groupId") Long groupId, @Param("flowProcess") int flowProcess);

    List<FlowChartDetailRecord> selectOpenFlowChartDetailRecordByGroupIdAndChartId(@Param("groupId") Long groupId, @Param("chartId") Long chartId);
}